summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVinayak Hegde <vinayak@gluster.com>2009-11-22 21:39:38 -0800
committerVijay Bellur <vijay@gluster.com>2009-12-01 18:39:41 +0530
commit91a35a989237159cb545408c42d574fbfb437168 (patch)
treeccafc66acfc2e2ce8ad16a9a5142a0ca7f831fd5
parentbc01117cd4286f06526d36a55035ad3314e310dc (diff)
Regression test case for Bug 117.
Signed-off-by: Vijay Bellur <vijay@gluster.com>
-rw-r--r--117/regr/spec_files/client1.vol8
-rw-r--r--117/regr/spec_files/server1.vol23
-rwxr-xr-x117/regr/testcase19
3 files changed, 50 insertions, 0 deletions
diff --git a/117/regr/spec_files/client1.vol b/117/regr/spec_files/client1.vol
new file mode 100644
index 0000000..a6d984f
--- /dev/null
+++ b/117/regr/spec_files/client1.vol
@@ -0,0 +1,8 @@
+volume remote1
+ type protocol/client
+ option transport-type tcp/client
+ option remote-port 9355
+ option remote-host 127.0.0.1
+ option remote-subvolume brick
+end-volume
+
diff --git a/117/regr/spec_files/server1.vol b/117/regr/spec_files/server1.vol
new file mode 100644
index 0000000..ae00751
--- /dev/null
+++ b/117/regr/spec_files/server1.vol
@@ -0,0 +1,23 @@
+volume posix
+ type storage/posix
+ option directory /jbod/regr/117/export1
+end-volume
+
+volume locks
+ type features/locks
+ subvolumes posix
+end-volume
+
+volume brick
+ type performance/io-threads
+ option thread-count 8
+ subvolumes locks
+end-volume
+
+volume server
+ type protocol/server
+ option transport-type tcp/server
+ option listen-port 9355
+ option auth.addr.brick.allow *
+ subvolumes brick
+end-volume
diff --git a/117/regr/testcase b/117/regr/testcase
new file mode 100755
index 0000000..8747633
--- /dev/null
+++ b/117/regr/testcase
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+description="# (117) Wrong command line does not throw error"
+comments="# Whenever glusterfs is not started, exit status should not be 0"
+
+source ../../init
+
+start_glusterfs --no-clients
+
+$GLUSTERFS -f $SPECDIR/client1.vol $LOGDIR/$(hostname)-client1.log $MOUNTDIR/client1 2> /dev/null
+
+if [ $? -ne 0 ];then
+ not_ok $description
+ comment $comments
+else
+ ok $description
+fi
+
+cleanup_glusterfs \ No newline at end of file